library digital_3g_common;

import 'package:flutter/material.dart';

class ContentDialog extends StatelessWidget {
  final Widget? title;
  final List<Widget> children;
  final List<Widget>? actions;

  const ContentDialog({
    Key? key,
    this.children = const [],
    this.title,
    this.actions,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SimpleDialog(
      insetPadding: const EdgeInsets.symmetric(horizontal: 24.0),
      titlePadding: const EdgeInsets.fromLTRB(16.0, 16.0, 16.0, 4.0),
      contentPadding: const EdgeInsets.fromLTRB(16.0, 4.0, 16.0, 16.0),
      title: title,
      children: [
        ...children,
        if (actions != null)
          Row(
            mainAxisAlignment: MainAxisAlignment.end,
            children: actions!
                .map(
                  (e) => Padding(padding: const EdgeInsets.only(left: 16.0), child: e),
                )
                .toList(),
          ),
      ],
    );
  }
}
