import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import '../api/auth_api.dart';

class AuthGuard extends StatefulWidget {
  final Widget child;

  const AuthGuard({Key? key, required this.child}) : super(key: key);

  @override
  _AuthGuardState createState() => _AuthGuardState();
}

class _AuthGuardState extends State<AuthGuard> {
  AuthApi? _authApi;

  @override
  Widget build(BuildContext context) {
    if (_authApi!.user?.credentials?.expiration?.isAfter(DateTime.now()) ?? false) {
      return widget.child;
    } else {
      Future.delayed(const Duration(milliseconds: 200)).then((value) {
        //Navigator.of(context).popUntil((route) => route.settings.name == '/');
        Navigator.of(context).popAndPushNamed('/login');
      });
      return const Center(child: CircularProgressIndicator());
    }
  }

  @override
  void didChangeDependencies() {
    _authApi = Provider.of<AuthApi>(context, listen: true);
    super.didChangeDependencies();
  }
}
