import 'package:flutter/material.dart';

class CardListTile extends StatelessWidget {
  final Widget? leading;
  final Widget? title;
  final Widget? subtitle;
  final List<Widget> actions;
  final Function()? onLongPress;
  final Function()? onTap;

  const CardListTile({
    Key? key,
    this.leading,
    this.title,
    this.subtitle,
    this.actions = const [],
    this.onLongPress,
    this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
      child: ListTile(
        leading: leading,
        title: title,
        subtitle: subtitle,
        trailing: Row(mainAxisSize: MainAxisSize.min, children: actions),
        onTap: onTap,
        onLongPress: onLongPress,
      ),
    );
  }
}
