import 'package:flutter/material.dart';

import '../models/auth_request.dart' show Scope;

export '../models/auth_request.dart' show Scope;

class ScopeSelector extends StatelessWidget {
  final Function(Scope?) onChanged;
  final Scope value;
  final bool disabled;

  const ScopeSelector(
      {Key? key, required this.onChanged, required this.value, this.disabled = false})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return DropdownButtonFormField<Scope>(
      items: [
        DropdownMenuItem(
            value: Scope.user,
            child: Text(
              'Nutzer',
              style: Theme.of(context).textTheme.bodyText2,
            )),
        DropdownMenuItem(
            value: Scope.admin,
            child: Text(
              'Admin',
              style: Theme.of(context).textTheme.bodyText2,
            )),
      ],
      onChanged: !disabled ? onChanged : null,
      value: value,
    );
  }
}
