import 'package:flutter/material.dart';

class ErrorColumn extends StatelessWidget {
  final String text;
  final List<Widget> actions;

  const ErrorColumn(this.text, {Key? key, this.actions = const []}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.stretch,
      children: [
        Text(text, style: Theme.of(context).textTheme.headline4, textAlign: TextAlign.center),
        if (actions.isNotEmpty) const Divider(),
        ...actions,
      ],
    );
  }
}
